export declare const LegacyUtil: {
    getDOM(source: string): HTMLElement | undefined;
    transformBlock(root: HTMLElement, selector: string, mutator: (block: HTMLElement) => void): void;
    transformField(block: HTMLElement, name: string, mutator: (name: string, content: string | null) => {
        name: string;
        content: string;
    }): void;
    renameElement(block: HTMLElement, tag: string, name: string, newName: string): void;
    renameValue(block: HTMLElement, name: string, newName: string): void;
    renameStatement(block: HTMLElement, name: string, newName: string): void;
    transformEventBlock(root: HTMLElement, event: string, type: string, statement: string): void;
    forEachPart(app: any, type: string, callback: (part: any) => void): void;
};
